Subject: emacs wont start

From: Andrew Kurn <[email-masked]>
Date: Thu, 14 Jan 2010 12:49:41 -0800

Emacs won't start with TERM=xterm-color.

-----
emacs: Terminal type xterm-color is not defined.
If that is not the actual type of terminal you have, [. . .]
-----

However, it *will* start with TERM=xterm 

This contradicts the doc, which says that the type is stripped, one
hyphen at a time, until it finds a name it recognizes (and therefore
it should come to xterm and start).

Sorry if this one has been fixed.  It appears that it might be OK
in 22.3, but I haven't been able to find it in the bug list.

Andrew

-------

In GNU Emacs 22.1.2 (sparc-sun-solaris2.10, X toolkit, Xaw3d scroll bars)
 of 2008-02-16 on v480
configured using `configure  'CC=gcc' 'CFLAGS=-O2 -L/usr/local/pgsql/lib -R/usr/local/pgsql/lib -L/usr/local/lib -R/usr/local/lib -L/usr/local/ssl/lib -R/usr/local/ssl/lib -L/usr/openwin/lib -R/usr/openwin/lib -I/usr/local/rrdtool-1.2.19/include' 'LDFLAGS=-L/usr/local/lib -R/usr/local/lib -R/usr/lib -L/usr/local/pgsql/lib -R/usr/local/pgsql/lib -L/usr/lib -R/usr/openwin/lib -L/usr/openwin/lib -L/usr/local/ssl/lib -R/usr/local/ssl/lib -L/usr/local/BerkeleyDB.4.2/lib -R/usr/local/BerkeleyDB.4.2/lib -L/usr/X11R6/lib -R/usr/X11R6/lib' 'CPPFLAGS=-I/usr/local/include -I/usr/local/ssl/include -I/usr/local/pgsql/include -I/usr/local/include/ncurses -I/usr/local/BerkeleyDB.4.2/include -I/usr/openwin/include -I/usr/local/rrdtool-1.2.19/include''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  unify-8859-on-encoding-mode: t
  utf-translate-cjk-mode: t
  auto-compression-mode: t
  line-number-mode: t

Recent input:
ESC O A ESC O B e m a c s : SPC T e r m i n a l SPC 
t y p e SPC x t e r m - c o l o r SPC i s SPC n o t 
SPC d e f i n e d . RET I f SPC t h a t SPC i s SPC 
n o t SPC t h e SPC a c t u a l SPC t y p e SPC o f 
SPC t e r m i n a l SPC y o u SPC h a v e , RET ESC 
x r e p o r TAB RET

Recent messages:
("emacs")
For information about the GNU Project and its goals, type C-h C-p.
Loading emacsbug...
Loading regexp-opt...done
Loading emacsbug...done
byte-code: Text is read-only: #<buffer  *Minibuf-1*>